Copyright: VisualSoftResize - Version 2.02.0005


General Description
VisualSoftResize

General Description	Methods	Properties
General Description

VisualSoftResize is a small OCX that do something all VB programmers seems to need: a real resizing of the form, including all controls on it, including that placed on containers. It can make a true resize even on difficult controls like Microsoft DBGrid, ApexDBGrid, Microsoft Tabbed Dialog etc. It also works on MDIChild forms, as many of users asked.

All you have to do for using this control is to select from VB menu bar (Projects/Components) the VisualSoftResize control (or browse for VSResize.ocx if you have downloaded the minimum version). Then, on each form that you want to be "resizable" you must place this control (just double-click it on the toolbar). That's all for his basic behavior. Cool ?

NOTE:  Because fixed-type fonts are not “nice” when scaled, you should use TrueType fonts for your controls !


Methods
VisualSoftResize

General Description	Methods	Properties
Methods

CenterForm	Calling this method have the result to center the form on the screen.

InitF	Read the actual state of the form, acting as the base for future resizing. It is called automatically in form_Load procedure, so you only need to call it at run-time if you add or delete run-time controls

InitialSize	Method for re-establish the size before the last InitF call (usually the size at Load, since this control DO NOT preserve the size from one instance to an other)

RefaF	Since version 2.0.0 it is maintained only for back-ward compatibility. It is called automatically at form's Resize event

ShowAboutBox	As usual, this method shows a DialogBox about the producer (:-)


Properties
VisualSoftResize

General Description	Methods	Properties
Properties

Name	Type	Description
RestrictHeight	Boolean	If True, you can set the maximum and minimum Height the form is permitted to have (except Maximize, but you can disable this in Form's properties). When set to True, it set the defaults values from MaxHeight and MinHeight
RestrictWidth	Boolean	If True, you can set the maximum and minimum Width the form is permitted to have (except Minimize, but you can disable this in Form's properties).When set to True, it set the defaults values from MaxWidth and MinWidth
MaxHeight	long	When RestrictHeight=True, it is the maximum Height the form can have. Default=Screen.Height
MinHeight	long	When RestrictHeight=True, it is the minimum Height the form can have. Default=Form.Height
MaxWidth	long	When RestrictWidtht=True, it is the maximum Width the form can have. Default=Screen.Width
AutoCenterForm	Boolean	When True, after any resize of the form, it will be centered on the screen
MinWidth	long	When RestrictWidtht=True, it is the minimum Width the form can have. Default=Form.Width

The rest of properties are a standard for Visual Basic so there are no reasons to explain...


VisualSoft Company Informations

VisualSoft is a private Romanian software company. Our motto is

“CREATE GOOD SOFTWARE FOR PEOPLE THAT ASKED FOR IT. AND CREATE GOOD SOFTWARE EVEN IF NO ONE ASKED. ONE DAY, A LOT OF PEOPLE WILL NEED IT !”

You can contact us at:

VISUAL SOFT, Calea Vacaresti nr.278, bl.68, sc.A, ap.9, sect.4, BUCHAREST, ROMANIA 7000

E-mail: bebe@visualsoft.ro

WWW: http://www.visualsoft.ro


Registration Informations

Check our Web-page for informations about registration methods of VisualSoft software.